Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADE

VTB-1417

Department: SUPPORT Affected Products: ADTF 2.14.0, ADTF Device Toolbox

2.7.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: DeviceTB::CAN

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Hallo,

ADTF 2.14, Device Toolbox 2.7.0.

Wenn ich den Bsp. dat file der Device Toolbox in ein asc file exportiere und danach wieder in ADTF importiere wird im generierten

description file statt tCANData die Struktur tCANMessage benutzt.

Beim Abspielen mit dem HDP ist die Interpretation falsch (Breakpoint am Pin -> Media Sample View). Wenn ich das generierte desc.

File von Hand ändere funktioniert es.

Lösung

Das ist ein Known Problem (ADEVTB-1417) und wird bei der Portierung zu Device TB 3.x mit beachtet bzw. ist dort obsolet, da es

kein Description File mehr gibt und die DDL Teil des ADTFDAT Files ist und hier ist der Stream ja richtig.

Sollte es ein Patch Version 2.7.1 geben, derzeit nicht geplant, dann ist das sicher ein Thema.

Workaround ist derzeit leider nur, die Description Datei zu korrigieren oder ohne zu arbeiten (tCANData ist ja ADTF bekannt).

History

#1 - 2018-01-29 17:44 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to DeviceTB::CAN

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.14.0, ADTF Device Toolbox 2.7.0 added

- Platform Windows 7 64bit added

#2 - 2018-01-29 18:19 - hidden

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1417

Hallo Anja,

ja, das ist ein Known Problem (ADEVTB-1417) und wird bei der Portierung zu Device TB 3.x mit beachtet bzw. ist dort obsolet, da es kein Description

File mehr gibt und die DDL Teil des ADTFDAT Files ist und hier ist der Stream ja richtig.

Sollte es ein Patch Version 2.7.1 geben, derzeit nicht geplant, dann ist das sicher ein Thema.

Workaround ist derzeit leider nur, die Description Datei zu korrigieren oder ohne zu arbeiten (tCANData ist ja ADTF bekannt).

#3 - 2018-01-29 18:19 - hidden

- Status changed from In Progress to Customer Feedback Required
#4 - 2018-01-29 18:28 - hidden

Ich habe dazu noch eine FAQ angelegt:

Q: Import of ASC Files leads to invalid media type in datdescription file tCANMessage instead of tCANData

#5 - 2018-02-01 08:23 - hidden

Wenn keine weiteren Fragen mehr sind, schließe ich das Ticket morgen ab

#6 - 2018-02-02 09:54 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTFS-48286 Import vom asc file schreibt falsche Datenstruktur - tCANMessage statt tCANData to ADTFS-48286 Import of

ASC file leads to wrong structure (tCANMessage instead of tCANData)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#7 - 2018-02-02 09:55 - hidden

- Status changed from To Be Closed to Closed

#8 - 2020-07-07 16:54 - hidden

- Description updated

Files

datFromASC_stopchanged.dat - falsch.description 6.64 KB 2018-01-29 hidden

datFromASC_stopchanged.dat - geändert.description 7.25 KB 2018-01-29 hidden
